OpenVDB: RootNode< ChildT >::BaseIter< RootT > Class Template Reference

OpenVDB 12.1.1

Loading...
Searching...
No Matches
RootNode< ChildT >::BaseIter< RootT > Class Template Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for RootNode< ChildT >::BaseIter< RootT >:

## Public Member Functions
__hostdev__ | operator bool () const
__hostdev__ uint32_t | pos () const
__hostdev__ TileT * | tile () const
__hostdev__ CoordType | getOrigin () const
__hostdev__ CoordType | getCoord () const

## Protected Types
using | DataT = typename util::match_const<DataType, RootT>::type
using | TileT = typename util::match_const<Tile, RootT>::type

## Protected Member Functions
__hostdev__ | BaseIter ()
__hostdev__ | BaseIter (DataT *data)

## Protected Attributes
DataType::template TileIter< DataT > | mTileIter

## Member Typedef Documentation

## ◆ DataT

template<typename ChildT>
template<typename RootT>

using DataT = typename util::match_const<DataType, RootT>::type
| protected

## ◆ TileT

template<typename ChildT>
template<typename RootT>

using TileT = typename util::match_const<Tile, RootT>::type
| protected

## Constructor & Destructor Documentation

## ◆ BaseIter() [1/2]

template<typename ChildT>
template<typename RootT>

__hostdev__ BaseIter | ( |  | ) |
| inlineprotected

## ◆ BaseIter() [2/2]

template<typename ChildT>
template<typename RootT>

__hostdev__ BaseIter | ( | DataT * | data | ) |
| inlineprotected

## Member Function Documentation

## ◆ getCoord()

template<typename ChildT>
template<typename RootT>

__hostdev__ CoordType getCoord | ( |  | ) | const
| inline

## ◆ getOrigin()

template<typename ChildT>
template<typename RootT>

__hostdev__ CoordType getOrigin | ( |  | ) | const
| inline

## ◆ operator bool()

template<typename ChildT>
template<typename RootT>

__hostdev__ operator bool | ( |  | ) | const
| inline

## ◆ pos()

template<typename ChildT>
template<typename RootT>

__hostdev__ uint32_t pos | ( |  | ) | const
| inline

## ◆ tile()

template<typename ChildT>
template<typename RootT>

__hostdev__ TileT * tile | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ mTileIter

template<typename ChildT>
template<typename RootT>

DataType::template TileIter<DataT> mTileIter
| protected